[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [Dict-common-dev] openoffice.org: dictionary.lst is gone

On Mon, Jan 19, 2009 at 01:48:47AM +0100, Rene Engelhard wrote:
> Hi,
> Agustin Martin wrote:
> > Any reaction? Do I commit this change?
> I just had a look, built a dictionaries-common-dev with this and rebuilt
> igerman98. Still I get update-openoffice-dicts calls. Was that intended?
> We at least need a combination of yours and mine proposals. What I
> want is NO dictionary.lst on any system having OOo3, and that is quite
> pressing now since lenny release is soon and I would like to upload OOo3
> to sid asap after lenny release.
> So what we have:
>  - some sort of compat with lenny (your installdeb-myspell, which
>    at least for me, still
>    - installed into /usr/share/myspell/dicts
>    - still runs update-openoffice-dicts in the maintainer scripts
>   so ok for the first step.)
>  - update-openoffice-dicts should become a non-op and remove dictionary.lst
>    (my original patch and your suggestion from Dec, 23)

Agreed, that is what I had in mind. My installdeb-myspell was intended to be
used along with your changes in update-openoffice-dicts, not to replace
them. Sorry I did not explain myself better.

> The path issues come later when we finished dictionary.lst (it needs
> involvement and rebuilds of all dicts anyway and so should be properly
> coordinated between all them, not just dict-common and -openoffice).

Fine. I still need to look at my installdeb-myspell a bit more, at least for
making it use relative symlinks.
> This initial coordination round was just about dictionary.lst.

dictionary.lst obsolescence seems solved now. Thanks for your work here.


Reply to: